complexType "TradeCashflowsMatchResult"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 12 elements
Defined: | globally in fpml-reconciliation-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, parentCorrelationId?, correlationId?, sequenceNumber??, onBehalfOf[0..4]?, status?, ((assertedCashflow?, proposedMatch*) | allegedCashflow)?, party*, account*
</...>

Content Model Elements (12):

  account, allegedCashflow (in tradeCashflowsMatchResult), assertedCashflow (in tradeCashflowsMatchResult), correlationId, header (defined in ResponseMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party (defined in PartiesAndAccounts.model group), proposedMatch (in tradeCashflowsMatchResult), sequenceNumber (defined in Sequence.model group), status (in tradeCashflowsMatchResult), validation

All Direct / Indirect Based Elements (1):

  tradeCashflowsMatchResult

Known Usage Locations

- As direct type of elements (1):
  tradeCashflowsMatchResult

Annotation
Message for sending match results. Response message that returns the status of the set of cashflows (more than one in the case of cross-currency swaps) that have been reconciled.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) TradeCashflowsMatchResult

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="TradeCashflowsMatchResult"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="status" type="EventStatus"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="assertedCashflow" type="AssertedCashflow"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="proposedMatch" type="TradeCashflowsProposedMatch"/> </xsd:sequence> <xsd:element name="allegedCashflow" type="AllegedCashflow"/> </xsd:choice> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/12)
allegedCashflow

  Type: | AllegedCashflow, complex content

  Cashflow (or set of cashflows for cross-currency swap) asserted by the "other side's" party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="allegedCashflow" type="AllegedCashflow"/>

assertedCashflow

  Type: | AssertedCashflow, complex content

  Cashflow (or set of cashflows for cross-currency swap) asserted by one of the parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="assertedCashflow" type="AssertedCashflow"/>

proposedMatch

  Type: | TradeCashflowsProposedMatch, complex content

  "Other side's" cashflow that meets the minimimum matching criteria and is proposed as match to the cashflow that is being asserted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="proposedMatch" type="TradeCashflowsProposedMatch"/>

status

  Type: | EventStatus, simple content

  Reconciliation status of the set of cashflows.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="status" type="EventStatus"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.